# pandas.api.extensions.ExtensionArray.argsort

`ExtensionArray.``argsort`(ascending=True, kind='quicksort', *args, **kwargs)

  Return the indices that would sort this array.

  Parameters:

  ascending : bool, default True

  > Whether the indices should result in an ascending or descending sort.

  kind : {‘quicksort’, ‘mergesort’, ‘heapsort’}, optional

  > Sorting algorithm.

  *args, **kwargs:

  > passed through to `numpy.argsort()`.

  Returns:

  index_array : ndarray

  > Array of indices that sort `self`. If NaN values are contained, NaN values are placed at the end.

  See also

  `numpy.argsort`
    Sorting implementation used internally.

Scroll To Top